/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.codehaus.activemq.store.bdb;

import com.sleepycat.je.DatabaseException;
import com.sleepycat.je.Environment;
import org.codehaus.activemq.io.impl.DefaultWireFormat;
import org.codehaus.activemq.store.PersistenceAdapter;
import org.codehaus.activemq.test.MessageContainerTestSupport;

import java.io.File;


/**
 * @version $Revision: 1.2 $
 */
public class BDbQueueMessageContainerTest extends MessageContainerTestSupport {

    protected PersistenceAdapter createPersistenceAdapter() throws Exception {
        Environment environment = BDbQueueMessageContainerTest.createEnvironment();
        return new BDbPersistenceAdapter(environment, new DefaultWireFormat());
    }

    public static Environment createEnvironment() throws DatabaseException {
        File dir = new File("target/bdb");
        return makeEnvironment(dir);

    }

    public static Environment makeEnvironment(File dir) throws DatabaseException {
        dir.mkdirs();

        return BDbHelper.createEnvironment(dir);
    }
}
